App::St(3)

NAME
App::St - Simple Statistics

DESCRIPTION
App::St provides the core functionality of the st-console application.

SYNOPSIS
  use App::St;

  my $st = App::St->new();

  while (<>) {
    chomp;
    next unless $st->validate($_);
    $st->process($_);
  }

  print $st->mean();
  print $st->stddev();
  print $st->sterr();

METHODS

  new(%options)

  validate($num)

  process($num)

  N

  sum

  mean

  stddev

  stderr

  percentile=<0..100>

  quartile=<0..4>

  min

  q1

  median

  q3

  max

AUTHOR
Nelson Ferraz <nferraz@gmail.com>

CONTRIBUTING
Send comments, suggestions and bug reports to:

https://github.com/nferraz/st/issues

Or fork the code on github:

https://github.com/nferraz/st

COPYRIGHT
Copyright (c) 2013 Nelson Ferraz.

This program is free software; you can redistribute it and/or modify it under the MIT License (see LICENSE).